• Welcome to Simple Machines Community Forum. Please login or sign up.
October 23, 2021, 01:59:39 AM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


Bridge 1.1.4

Started by Orstio, April 23, 2006, 07:59:20 AM

Previous topic - Next topic

Orstio

April 23, 2006, 07:59:20 AM Last Edit: July 05, 2006, 08:35:20 PM by Orstio
OK, it is attached to the bottom of this post. (You must be logged in to view or download the attachment)

First of all, thank you to everyone who reported the bugs in 1.1.3.  Your reports have made this a better bridge. :)

Again, this bridge is compatible only with SMF 1.1RC2.  If you have any other version of SMF, please use bridge 3.19a instead.

For new installs:

Unzip the package, and find inside two files:  readme.html and com_smf.zip.  Read the readme.html, and install the com_smf.zip as a component.

For Joomla, you will not need to add code to your template, but for Mambo, you will.

For upgrades from 1.1.2:

Uninstall the bridge component, the bridge registration component, and the mod_smf_login module.  Remove the code from your Mambo/Joomla template.

Read the readme.html.  Install the com_smf.zip as a component.  Please note that for Mambo, the code in the template has changed significantly.  The code is no longer required for Joomla.

If you have 1.1.3, and it is working, you do not need to upgrade.  If you want to upgrade, just follow the instructions above for 1.1.2, making sure to also uninstall the SMF_Headerbot before installing the com_smf.zip.

Group Synch option

Be very careful with the Group Synch button.  If you do not have your Group Synch options saved correctly, you can erase admin status from all Joomla administration.  Do not click the Group Synch button without first making absolutely sure your settings in the Group Synch tab are correct, and you will have at least one Super Admin after synching.

This bridge is released under the terms of the Simple Machines license.  Please do not redistribute.

Excalibur!


perplexed

April 23, 2006, 09:47:18 AM #2 Last Edit: April 23, 2006, 09:56:26 AM by perplexed
I have a question about something weird...

I installed this bridge, everything seems to be working fine, and I can register, which I couldnt do with 1.1.3

However, the component gets installed and makes a menu link called 'forum' but when I look at this link, it says that the component that its linking to is 'wordpress' which I also have installed.  Even though when you click on the forum menu link it does take you to the forum and everything at first glance does seem to be working - also the quote post and jump to actions are also working no probs - but why has it got wordpress as the component?

I should say that this happened last time too with 1.1.3 but I just deleted the link and created a new one, but since its happened again I thought I should ask.  I was going to delete this and make a new menu link but maybe I should leave it as its all working?  Cancel that, the forum link *does* take you to wordpress instead of the forum lol.  I have made a new menu link



Also I cant remember but you have to put your new itemid somewhere but I cant remember where?

Orstio

Yeah, I may be better off making sure there is an auto-increment in there, the way I did with the ACL.  :-\

perplexed

April 23, 2006, 10:23:58 AM #4 Last Edit: April 23, 2006, 10:51:40 AM by perplexed
ok I dont know what you just said lol

Is there somewhere I am supposed to/need to change my itemid?  it was 77 now its 83, or does it automatically do it now?

I remember you telling me before as I had 99999999 instead of 77 but I cant find the post now lol


I remember - its in the redirect script in my index template :)

thanks Orstio, everything seems fine so far  :)

perplexed

My forum is still displaying http://mysite.com/index.php?option=com_smf&Itemid=99999999 in the address, is this a problem?

(I already changed the redirect script to itemid=83 in my index.template.php)

Orstio

It's not going to break anything, perplexed, but you might want to track down from which link you are getting to that Itemid and fix it.

I just browsed through your site, and couldn't duplicate the 99999999.

Bigguy

April 23, 2006, 04:53:50 PM #7 Last Edit: April 23, 2006, 04:58:54 PM by Bigguy
I`m not exactly sure what version of bridge I have but I would like to update. I`m running smf 1.1rc 2 and joomla 1.0.8 How can I find the version of bridge I`m running.

EDIT: Ok I am running 3.20 I guess.

Bigguy

So I uninstall the bridge AND  "Simple Machines Forum Registration" and remove the code from my template then re-install right.

Orstio

Don't forget the mod_smf_login module...

Bigguy

So I uninstall 3 things:

bridge
Simple Machines Forum Registration
mod_smf_login module

When removing the code from the template can I just re-upload a fresh copy of the file ???
after uninstalling all this then I install the com_smf.zip as a component and I`m done.

Orstio

QuoteWhen removing the code from the template can I just re-upload a fresh copy of the file

Yes.

Quoteafter uninstalling all this then I install the com_smf.zip as a component and I`m done.

You'll need to set your absolute path again and Save.  You'll also notice a lot more options in the config, especially after the first Save.

Bigguy

The code went in the Joomla template right ??? (Stupid question)

Orstio


Bigguy

Ok, I`m going to give this a try right now.

Bigguy

I think I got it. I still got most of those same errors I showed you the first time though. But it looks like its working.

perplexed

Quote from: Orstio on April 23, 2006, 04:44:07 PM
It's not going to break anything, perplexed, but you might want to track down from which link you are getting to that Itemid and fix it.

I just browsed through your site, and couldn't duplicate the 99999999.
hmmm its weird because wherever it is, when Im in the forum some of the modules that usually display when in the forum, are gone, but when the itemid is 83, they are there

I will keep trying to track it down, thanks

Brakdûr

Hello,

once again I tried to get it running. But iI always get an "Hacking attempt" while configuration.

This is my setting:

  • Joomla 1.0.8
  • smf 1.1RC2 with sec. Patch
  • Bridge 1.1.14
(Everything in one Database)

I installed it as it is said in the Readme filde. But when I´m trying to configure the component I get the above error message (and sadly no configuration at all). What do I have to do?

Thank you for your help[/list]

MadPax

Sorry to ask this Orstio,

but you have no mention on the perocedure to upgrade for 1.1.3 users. Just overwrite a couple of files or uninstall and the install again?

thnx
Pax

phil_roy

Umm, it does state...
QuoteIf you have 1.1.3, and it is working, you do not need to upgrade.  If you want to upgrade, just follow the instructions above for 1.1.2, making sure to also uninstall the SMF_Headerbot before installing the com_smf.zip.
Phil
http://www.nzmac.com
NZMac.com - Supporting the New Zealand Mac community

Advertisement: